Bug 126027 - [Maintainer-update] devel/guichan: update to 0.8.1
Summary: [Maintainer-update] devel/guichan: update to 0.8.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2008-07-28 09:20 UTC by Marcus von Appen
Modified: 2008-07-31 13:50 UTC (History)
1 user (show)

See Also:


Attachments
guichan-0.8.1.patch (3.49 KB, patch)
2008-07-28 09:20 UTC, Marcus von Appen
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Marcus von Appen freebsd_committer freebsd_triage 2008-07-28 09:20:02 UTC
- Update to 0.8.1

Generated with FreeBSD Port Tools 0.77
Comment 1 Pav Lucistnik freebsd_committer 2008-07-28 09:53:21 UTC
State Changed
From-To: open->feedback

This update breaks both dependant ports: games/diameter and games/tmw. Can you 
look into that? 

Also, is there a reason to rename shared libraries? I'd prefer if they stay in 
FreeBSD format (ie libfoo.so.1, without the full version embedded in SHNAME). 


Comment 2 Pav Lucistnik freebsd_committer 2008-07-28 09:53:21 UTC
Responsible Changed
From-To: freebsd-ports-bugs->pav

This update breaks both dependant ports: games/diameter and games/tmw. Can you 
look into that? 

Also, is there a reason to rename shared libraries? I'd prefer if they stay in 
FreeBSD format (ie libfoo.so.1, without the full version embedded in SHNAME).
Comment 3 Pav Lucistnik freebsd_committer 2008-07-28 13:39:51 UTC
State Changed
From-To: feedback->open

Feedback received; waiting on games/diameter update/fix
Comment 4 Dmitry Marakasov 2008-07-31 13:23:51 UTC
Done with diameter update. Here's the patch, please commit it along with
guichan update.
 
--- diameter.patch begins here ---
Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/games/diameter/Makefile,v
retrieving revision 1.13
diff -u -r1.13 Makefile
--- Makefile	19 Jun 2008 17:28:06 -0000	1.13
+++ Makefile	31 Jul 2008 12:20:53 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	diameter
-PORTVERSION=	0.4.0.2
-PORTREVISION=	3
+PORTVERSION=	0.4.0.3
 CATEGORIES=	games
 MASTER_SITES=	SF
 MASTER_SITE_SUBDIR=	gamediameter
@@ -15,7 +14,7 @@
 MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	Arcade-style game with elements of economy and adventure
 
-BUILD_DEPENDS=	guichan>=0.7.1:${PORTSDIR}/devel/guichan
+BUILD_DEPENDS=	guichan>=0.8.1:${PORTSDIR}/devel/guichan
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
 USE_BZIP2=	yes
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/games/diameter/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	5 Nov 2007 11:09:55 -0000	1.3
+++ distinfo	31 Jul 2008 12:20:53 -0000
@@ -1,3 +1,3 @@
-MD5 (diameter-0.4.0.2.tar.bz2) = b9f8c0ea61f21ea33d802da83d28366a
-SHA256 (diameter-0.4.0.2.tar.bz2) = eaa1ba0b35c3ba25c16fa0104a2a3a6096d94c2a45a048006456932e340430ea
-SIZE (diameter-0.4.0.2.tar.bz2) = 4777529
+MD5 (diameter-0.4.0.3.tar.bz2) = 380352d149da33d71495594a5f042cc5
+SHA256 (diameter-0.4.0.3.tar.bz2) = 553f6402b81d2a7c79862830b9cee5a93c1e8197f6597835486f8d79cc57bce0
+SIZE (diameter-0.4.0.3.tar.bz2) = 4729201
--- diameter.patch ends here ---

Also, plist for guichan (used patch from PR) seem to be incomplete.

--- plist.patch begins here ---
--- pkg-plist.orig	2008-07-30 18:30:39.000000000 +0400
+++ pkg-plist	2008-07-30 18:21:52.000000000 +0400
@@ -69,19 +69,23 @@
 %%SDL%%include/guichan/sdl/sdlpixel.hpp
 lib/libguichan.a
 lib/libguichan.la
+lib/libguichan-0.8.1.so
 lib/libguichan-0.8.1.so.1
 lib/libguichan.so
 %%ALLEGRO%%lib/libguichan_allegro.a
 %%ALLEGRO%%lib/libguichan_allegro.la
 %%ALLEGRO%%lib/libguichan_allegro.so
+%%ALLEGRO%%lib/libguichan_allegro-0.8.1.so
 %%ALLEGRO%%lib/libguichan_allegro-0.8.1.so.1
 %%GL%%lib/libguichan_opengl.a
 %%GL%%lib/libguichan_opengl.la
 %%GL%%lib/libguichan_opengl.so
+%%GL%%lib/libguichan_opengl-0.8.1.so
 %%GL%%lib/libguichan_opengl-0.8.1.so.1
 %%SDL%%lib/libguichan_sdl.a
 %%SDL%%lib/libguichan_sdl.la
 %%SDL%%lib/libguichan_sdl.so
+%%SDL%%lib/libguichan_sdl-0.8.1.so
 %%SDL%%lib/libguichan_sdl-0.8.1.so.1
 %%ALLEGRO%%@dirrm include/guichan/allegro
 %%GL%%@dirrm include/guichan/opengl
--- plist.patch ends here ---

-- 
Dmitry Marakasov   .   55B5 0596 FF1E 8D84 5F56  9510 D35A 80DD F9D2 F77D
amdmi3@amdmi3.ru  ..:  jabber: amdmi3@jabber.ru    http://www.amdmi3.ru
Comment 5 Pav Lucistnik freebsd_committer 2008-07-31 13:42:23 UTC
State Changed
From-To: open->closed

Committed, thanks!
Comment 6 dfilter service freebsd_committer 2008-07-31 13:43:04 UTC
pav         2008-07-31 12:42:50 UTC

  FreeBSD ports repository

  Modified files:
    devel/guichan        Makefile distinfo pkg-plist 
  Log:
  - Update to 0.8.1
  
  PR:             ports/126027
  Submitted by:   Marcus von Appen <mva@sysfault.org> (maintainer)
  
  Revision  Changes    Path
  1.18      +1 -2      ports/devel/guichan/Makefile
  1.6       +3 -3      ports/devel/guichan/distinfo
  1.8       +12 -5     ports/devel/guichan/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"